# fmgr_secprof_profile_group – Manage security profiles within FortiManager

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manage security profile group which allows you to create a group of security profiles and apply that to a policy.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
adom - | Default: "root" | The ADOM the configuration should belong to.
application_list string |  | Name of an existing Application list.
av_profile string |  | Name of an existing Antivirus profile.
dlp_sensor string |  | Name of an existing DLP sensor.
dnsfilter_profile string |  | Name of an existing DNS filter profile.
icap_profile string |  | Name of an existing ICAP profile.
ips_sensor string |  | Name of an existing IPS sensor.
mms_profile string |  | Name of an existing MMS profile.

mode
-

Choices:
- add ←
- set
- delete
- update

Sets one of three modes for managing the object.
Allows use of soft-adds instead of overwriting existing values.

name string |  | Profile group name.
profile_protocol_options string |  | Name of an existing Protocol options profile.
spamfilter_profile string |  | Name of an existing Spam filter profile.
ssh_filter_profile string |  | Name of an existing SSH filter profile.
ssl_ssh_profile string |  | Name of an existing SSL SSH profile.
voip_profile string |  | Name of an existing VoIP profile.
waf_profile string |  | Name of an existing Web application firewall profile.
webfilter_profile string |  | Name of an existing Web filter profile.

## Notes

Note

- Full Documentation at https://ftnt-ansible-docs.readthedocs.io/en/latest/.

## Examples

    - name: DELETE Profile
      fmgr_secprof_profile_group:
        name: "Ansible_TEST_Profile_Group"
        mode: "delete"

    - name: CREATE Profile
      fmgr_secprof_profile_group:
        name: "Ansible_TEST_Profile_Group"
        mode: "set"
        av_profile: "Ansible_AV_Profile"
        profile_protocol_options: "default"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
api_result string | always | full API response, includes status code and message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Luke Weighall (@lweighall)

- Andrew Welsh (@Ghilli3)

- Jim Huber (@p4r4n0y1ng)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.